%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname aws
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Ruby gem for all Amazon Web Services
Name: rubygem-%{gemname}
Version: 2.4.2
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/appoxy/aws
Source0: http://rubygems.org/downloads/%{gemname}-%{version}.gem
Requires: rubygems
Requires: ruby(abi) = 1.8
Requires: rubygem(xml-simple)
Requires: rubygem(right_http_connection)
Requires: rubygem(uuidtools)
Requires: rubygem(activesupport)
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
The RightScale AWS gems have been designed to provide a robust, fast, and
secure interface to Amazon EC2, EBS, S3, SQS, SDB, and CloudFront. These gems
have been used in production by RightScale since late 2006 and are being
maintained to track enhancements made by Amazon

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --no-ri --rdoc %{SOURCE0}
# Fix typo in gemspec
sed -i -e "s|http_connection|right_http_connection|" %{buildroot}/%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%check

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/test
%doc %{geminstdir}/README.markdown
%doc %{gemdir}/doc/%{gemname}-%{version}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 Michal Fojtik <mfojtik@redhat.com> - 2.4.2-1
- Version bump

* Mon Jan 10 2011 Michal Fojtik <mfojtik@redhat.com> - 2.3.34-2
- Replaced http_connection to right_http_connection to fix dependency issue

* Mon Jan 10 2011 Michal Fojtik <mfojtik@redhat.com> - 2.3.34-1
- Version bump

* Tue Nov 23 2010 Michal Fojtik <mfojtik@redhat.com> - 2.3.26-1
- Replaced right_http_connection with http_connection
- Version bump

* Mon Oct 11 2010 Michal Fojtik <mfojtik@redhat.com> - 2.3.21-4
* Replaced patch path with macro

* Tue Oct 05 2010 Michal Fojtik <mfojtik@redhat.com> - 2.3.21-3
- Included missing patch from 2.3.21-2

* Tue Oct 05 2010 Michal Fojtik <mfojtik@redhat.com> - 2.3.21-2
- Added Ruby 1.8 compatibility patch (thx mtasaka)
- Added activesupport dependency
- Fixed typo in right_http_connection dependency in gemspec (upstream contacted)
- Fixed directory ownership

* Sat Sep 25 2010 Michal Fojtik <mfojtik@redhat.com> - 2.3.21-1
- Initial package
